[gnome-continuous-yocto/gnomeostree-3.28-rocko: 3693/8267] oe-setup-rpmrepo: standardize usage output



commit 78087eba73ea073398f7d7457a5722da0c8b3001
Author: Ed Bartosh <ed bartosh linux intel com>
Date:   Fri Dec 9 16:19:05 2016 +0200

    oe-setup-rpmrepo: standardize usage output
    
    Made usage output of oe-setup-rpmrepo to look similar to the
    output of other oe scripts.
    
    [YOCTO #10751]
    
    (From OE-Core rev: 5423c9a412c680b781417a64b412838845b5d075)
    
    Signed-off-by: Ed Bartosh <ed bartosh linux intel com>
    Signed-off-by: Ross Burton <ross burton intel com>
    Signed-off-by: Richard Purdie <richard purdie linuxfoundation org>

 scripts/oe-setup-rpmrepo |   28 +++++++++++++++++-----------
 1 files changed, 17 insertions(+), 11 deletions(-)
---
diff --git a/scripts/oe-setup-rpmrepo b/scripts/oe-setup-rpmrepo
index 917b98b..7dcded8 100755
--- a/scripts/oe-setup-rpmrepo
+++ b/scripts/oe-setup-rpmrepo
@@ -23,16 +23,6 @@
 # Instead, use OE_TMPDIR for passing this in externally.
 TMPDIR="$OE_TMPDIR"
 
-function usage() {
-       echo "Usage: $0 <rpm-dir>"
-       echo "  <rpm-dir>: default is $TMPDIR/deploy/rpm"
-}
-
-if [ $# -gt 1 ]; then
-       usage
-       exit 1
-fi
-
 setup_tmpdir() {
     if [ -z "$TMPDIR" ]; then
         # Try to get TMPDIR from bitbake
@@ -53,6 +43,23 @@ setup_tmpdir() {
     fi
 }
 
+setup_tmpdir
+
+function usage() {
+    echo 'Usage: oe-setup-rpmrepo rpm-dir'
+    echo ''
+    echo 'OpenEmbedded setup-rpmrepo - setup rpm repository'
+    echo ''
+    echo 'arguments:'
+    echo "  rpm-dir               rpm repo directory, default is $TMPDIR/deploy/rpm"
+    echo ''
+}
+
+if [ $# -gt 1 -o "$1" = '--help' -o "$1" = '-h' ]; then
+    usage
+    exit 2
+fi
+
 setup_sysroot() {
        # Toolchain installs set up $OECORE_NATIVE_SYSROOT in their
        # environment script. If that variable isn't set, we're
@@ -68,7 +75,6 @@ setup_sysroot() {
        fi 
 }
 
-setup_tmpdir
 setup_sysroot
 
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]